
QGIS Application - Bug report #16645

GeoJson Not opening correctly QGIS 2.8.6

2017-05-31 03:26 PM - Gonzalo Quiroga

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:2.8.6 Regression?: No

Operating System: Kubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 24545

Description

When I try to open a GeoJson file it shows a completely wrong shape. If I open the same vector but in shapefile format (it is displayed

correctly), then I create a new GeoJson file, the new GeoJason is shown correctly and if then I try again to open the first GeoJson file it is

also show correctly. When I close and reopen QGIS the error persists.

This is happening as a new thing, weeks before I had no problems, I also tried to uninstall and reinstall al QGIS but the error persists.

I am runing Kubuntu:

LSB Version:   

core-9.20160110ubuntu0.2-amd64:core-9.20160110ubuntu0.2-noarch:security-9.20160110ubuntu0.2-amd64:security-9.20160110ubuntu0.2-noarch

tu0.2-noarch

Distributor ID: Ubuntu

Description:    Ubuntu 16.04.2 LTS

Release:        16.04

Codename:       xenial

QGIS: 2.8.6. Detailed about in attached screenshot.

History

#1 - 2017-05-31 03:27 PM - Gonzalo Quiroga

Forgot to say thanks! Hope it can be fixed!

Kind regards

#2 - 2017-05-31 03:29 PM - Gonzalo Quiroga

- File TestShp4326.shx added

- File TestShp4326.shp added

Missing two files for the shapefile

#3 - 2017-05-31 05:37 PM - Giovanni Manghi

- Status changed from Open to Feedback

is really 2.8 qgis you are using?
if yes please update to 2.14 or 2.18 and try again.

#4 - 2017-07-25 11:18 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.

Files

OpenGeoJason.png 83.1 KB 2017-05-31 Gonzalo Quiroga

OpenShapefile.png 105 KB 2017-05-31 Gonzalo Quiroga

OpenShapefileGeoJasonNewAndOld.png 112 KB 2017-05-31 Gonzalo Quiroga

QGISAbout.png 61.9 KB 2017-05-31 Gonzalo Quiroga

TestJson4326.geojson 647 Bytes 2017-05-31 Gonzalo Quiroga

TestJson4326New.geojson 647 Bytes 2017-05-31 Gonzalo Quiroga

TestShp4326.cpg 5 Bytes 2017-05-31 Gonzalo Quiroga

TestShp4326.dbf 76 Bytes 2017-05-31 Gonzalo Quiroga

TestShp4326.prj 143 Bytes 2017-05-31 Gonzalo Quiroga

TestShp4326.qpj 257 Bytes 2017-05-31 Gonzalo Quiroga

TestShp4326.shp 268 Bytes 2017-05-31 Gonzalo Quiroga

TestShp4326.shx 108 Bytes 2017-05-31 Gonzalo Quiroga
